Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class PrintableString.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString.Template
            |
            +--org.mozilla.jss.asn1.PrintableString.Template

public static class PrintableString.Template
extends CharacterString.Template
implements ASN1Template

Constructor Summary
`PrintableString.Template()`

Method Summary
`protected CharacterString` | `generateInstance(char[] chars)`
`protected CharConverter` | `getCharConverter()`
`protected Tag` | `getTag()`
`boolean` | `tagMatch(Tag tag)`
`protected java.lang.String` | `typeName()`

Methods inherited from class org.mozilla.jss.asn1.CharacterString.Template
`decode, decode`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### PrintableString.Template

    public PrintableString.Template()

Method Detail

### getTag

    protected Tag getTag()

  Overrides:
    getTag in class CharacterString.Template

### tagMatch

    public boolean tagMatch(Tag tag)

  Specified by:
    tagMatch in interface ASN1Template
  Overrides:
    tagMatch in class CharacterString.Template

### getCharConverter

    protected CharConverter getCharConverter()

  Overrides:
    getCharConverter in class CharacterString.Template

### generateInstance

    protected CharacterString generateInstance(char[] chars)
                                        throws java.io.CharConversionException

  Overrides:
    generateInstance in class CharacterString.Template

### typeName

    protected java.lang.String typeName()

  Overrides:
    typeName in class CharacterString.Template

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD